var Background = {
    sprites: [],
    backSpeed: 0.1,
    bgWidth: 1024,
    midSpeed: 0.45
};
Background.set = function(xChange){
    let xc = 0;
    for(let b = 0; b < this.sprites.length; b++){
        switch(b){
            case 0:
            case 1:
                xc = xChange * this.backSpeed;
                this.sprites[b].x -= xc;
                break;
            default:
                xc = xChange * this.midSpeed;
                this.sprites[b].x -= xc;
                break;
        }
    }
};
Background.animate = function(){
    for(let b = 0; b < this.sprites.length; b++){
        this.sprites[b].animate();
    }
};
function addBackgrounds(){
    let back = new Sprite("images/background.png", -(Level.leftEdge + Level.scrollAt * 2), 0);
    Background.sprites.push(back);
    back = new Sprite("images/background.png", Background.sprites[0].x + Background.bgWidth, 0);
    Background.sprites.push(back);
    // middle ground sprites next
    back = new Sprite("images/altmid.png", Background.sprites[0].x, canvas.height - 320);
    Background.sprites.push(back);
    back = new Sprite("images/altmid.png", Background.sprites[1].x, canvas.height - 320);
    Background.sprites.push(back);
}